# Uses of Class
javax.management.modelmbean.ModelMBeanOperationInfo

Packages that use ModelMBeanOperationInfo
Package
Description
javax.management.modelmbean
Provides the definition of the ModelMBean classes.

## Uses of ModelMBeanOperationInfo in javax.management.modelmbean

Methods in javax.management.modelmbean that return ModelMBeanOperationInfo
Modifier and Type
Method
Description
`ModelMBeanOperationInfo`
ModelMBeanInfo.`getOperation​(String inName)`
Returns a ModelMBeanOperationInfo requested by name.
`ModelMBeanOperationInfo`
ModelMBeanInfoSupport.`getOperation​(String inName)`
Constructors in javax.management.modelmbean with parameters of type ModelMBeanOperationInfo
Modifier
Constructor
Description
``
`ModelMBeanInfoSupport​(String className, String description, ModelMBeanAttributeInfo[] attributes, ModelMBeanConstructorInfo[] constructors, ModelMBeanOperationInfo[] operations, ModelMBeanNotificationInfo[] notifications)`
Creates a ModelMBeanInfoSupport with the provided information, but the descriptor is a default.
``
`ModelMBeanInfoSupport​(String className, String description, ModelMBeanAttributeInfo[] attributes, ModelMBeanConstructorInfo[] constructors, ModelMBeanOperationInfo[] operations, ModelMBeanNotificationInfo[] notifications, Descriptor mbeandescriptor)`
Creates a ModelMBeanInfoSupport with the provided information and the descriptor given in parameter.
``
`ModelMBeanOperationInfo​(ModelMBeanOperationInfo inInfo)`
Constructs a new ModelMBeanOperationInfo object from this ModelMBeanOperation Object.